org.bdgenomics.adam.models

# RecordGroupDictionary

###
Related Docs: object RecordGroupDictionary | package models

#### case class RecordGroupDictionary(recordGroups: Seq[RecordGroup]) extends Product with Serializable

Builds a dictionary containing record groups.

Record groups must have a unique name across all samples in the dictionary. This dictionary provides numerical IDs for each group; these IDs are only consistent when referencing a single dictionary.

recordGroups

  A seq of record groups to populate the dictionary.

Exceptions thrown

  `IllegalArgumentError` Throws an assertion error if there are multiple record groups with the same name.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RecordGroupDictionary
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecordGroupDictionary(recordGroups: Seq[RecordGroup])

   recordGroups

     A seq of record groups to populate the dictionary.

   Exceptions thrown

     `IllegalArgumentError` Throws an assertion error if there are multiple record groups with the same name.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def ++(that: RecordGroupDictionary): RecordGroupDictionary

   Merges together two record group dictionaries.

   Merges together two record group dictionaries.

   that

     The record group dictionary to merge with.

   returns

     The merged record group dictionary.

4. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

5. #### def apply(recordGroupName: String): RecordGroup

   Returns the record group entry for an associated name.

   Returns the record group entry for an associated name.

   recordGroupName

     The record group to look up.

   returns

     Detailed info for a record group.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getIndex(recordGroupName: String): Int

    Returns the numerical index for a given record group name.

    Returns the numerical index for a given record group name.

    recordGroupName

      The record group to find an index for.

    returns

      Returns a numerical index for a record group.

    Note

      This index is only guaranteed to have the same value for a given record group name when the index is pulled from the same record group dictionary.

12. #### def isEmpty: Boolean

    returns

      Returns true if this dictionary contains no record groups.

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val recordGroupMap: Map[String, (RecordGroup, Int)]

    A representation of this record group dictionary that can be indexed into by record group name.

18. #### val recordGroups: Seq[RecordGroup]

    A seq of record groups to populate the dictionary.

19. #### def size: Int

    The number of record groups in the dictionary.

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toSamples: Seq[Sample]

    returns

      Converts this record group dictionary to a set of samples.

22. #### def toString(): String

    Definition Classes
      RecordGroupDictionary → AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped